> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelgoodsproducts

> Requires goods.read.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/goods/products
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/goods/products:
    get:
      tags:
        - panel
      description: Requires goods.read.
      operationId: listPanelGoodsProducts
      parameters:
        - in: query
          name: includeArchived
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Products
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelGoodsProductList'
        '403':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    PanelGoodsProductList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelGoodsProduct'
    PanelGoodsProduct:
      type: object
      required:
        - id
        - code
        - providerSlug
        - kind
        - visible
        - sortOrder
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        code:
          type: string
        providerSlug:
          type: string
        kind:
          type: string
          enum:
            - telegram_premium
            - telegram_stars
        durationMonths:
          type: integer
        starQuantity:
          type: integer
        visible:
          type: boolean
        sortOrder:
          type: integer
        createdAt:
          type: string
          format: date-time
        archivedAt:
          type: string
          format: date-time
        localizations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PanelLocalization'
        pricing:
          $ref: '#/components/schemas/PanelGoodsPricing'
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
    PanelLocalization:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 120
        description:
          type: string
          maxLength: 2000
    PanelGoodsPricing:
      type: object
      required:
        - currency
        - markupBps
        - rounding
        - quoteTtlSeconds
      properties:
        currency:
          type: string
        markupBps:
          type: integer
          minimum: 0
          maximum: 100000
        rounding:
          type: string
          enum:
            - none
            - up_minor
            - up_unit
            - up_ten_units
            - up_hundred_units
        fixedAmountMinor:
          type: integer
          format: int64
          nullable: true
          description: Opts out of markup derivation entirely.
        quoteTtlSeconds:
          type: integer
          minimum: 30
          maximum: 3600
        updatedAt:
          type: string
          format: date-time
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.